Results 1 to 10 of 10

Thread: Custom Firmware.Why are we at 5.50 still?

  
  1. #1
    otakutrevan is offline -Hacks Newbie
    Join Date
    Jan 2007
    Posts
    38
    Rep Power
    13

    Default Custom Firmware.Why are we at 5.50 still?

    Official firmware 5.50 was released April 2009 and 5.50 GEN was released June 13, 2009 with various updates since then. So it took 2 months for 5.50 to be decrypted and for the custom firmware. So my question is why is it in January 2010 are we STILL using 5.50GEN D-3? Is there a reason why no newer CFW's have came out? Is the GEN team still up and running? Someone please aware me on this subject


  2. #2
    fearless1964's Avatar
    fearless1964 is offline -Hacks Enthusiast
    Join Date
    Jul 2009
    Location
    SCREWSTON,Tx
    Posts
    397
    Rep Power
    11

    Default

    one reason might be because the majority of homebrew still runs on the 5.xx kernel....and the release of 6.xx CFW might require the homebrew to run on the 6.xx kernel....so old homebrew might not work properly....two....there is no problem with 5.xx M33 or GEN CFW because thanks to Team GEN and other developers we can play games that require 6.xx+ OFW....thanks to the peagasus.prx......5.00 M33-6, 5.03 GEN-C and 5.50 GEN-D3 are the best CFW for the PSP and with those we can do anything...there is no need for 6.xx CFW right now
    PSP(1001):PANDORA->5.00 M33-6 w/ 1.50 Add-On
    PSP(2001)TA-085v2:PANDORA->5.50 GEN-D3

  3. #3
    Ryu's Avatar
    Ryu
    Ryu is offline Super Mod of the Brood -Hacks Titan
    Join Date
    Mar 2006
    Location
    Dologany
    Posts
    19,190
    Rep Power
    42

    Default

    if a 6.XX CFW
    all homebrew will need to be recode for the new FW, and other things

    read this

    PSP 1.5 got on USA first day is was 1.5 NOW 4.01 M33-2 -> 5.00 M33-6(1.50 addon),
    Old PS3s: PS3 60GB FW:3.41(2nd ps3 YLoD, 1st, YLoD)
    New PS3:
    Slim 160gb 01-21-2011 Working
    was 3.40 OFW->3.60 OFW

    2nd PSP : PHAT 5.50 GEN-D2
    3rd PSP : Sliver 3000 Starting OFW:4.20 (NEW bought NEW on 11/28/2010)
    It a good idea to have "Hide extensions for known file types" in Folder Options(under Tool) unchecked (turn on extensions)

    3DS FC:0301-9790-8019

  4. #4
    otakutrevan is offline -Hacks Newbie
    Join Date
    Jan 2007
    Posts
    38
    Rep Power
    13

    Default

    I dont exactly get what you mean by "recoding" I'm sured ive used homebrew that came out some time before 5.XX cfw and they work fine, or maybe i havent...and im wrong?

  5. #5
    fearless1964's Avatar
    fearless1964 is offline -Hacks Enthusiast
    Join Date
    Jul 2009
    Location
    SCREWSTON,Tx
    Posts
    397
    Rep Power
    11

    Default

    Quote Originally Posted by otakutrevan View Post
    I dont exactly get what you mean by "recoding" I'm sured ive used homebrew that came out some time before 5.XX cfw and they work fine, or maybe i havent...and im wrong?
    6.xx might be ENTIRELY different than 5.xx and under.....

    as you know some old apps that are 1.50, 3.71, and 4.01 based cant run on 5.xx CFW...so that requires adaptation to the new kernel....same thing here....everyone writes their apps to work on the 5.xx kernel cuz thats what everyone has.....if 6.xx CFW were released then EVERYONE would have to write their homebrew for 6.xx kernel...as Team GEN says "ITS USELESS"
    Last edited by fearless1964; 01-19-2010 at 02:15 PM.
    PSP(1001):PANDORA->5.00 M33-6 w/ 1.50 Add-On
    PSP(2001)TA-085v2:PANDORA->5.50 GEN-D3

  6. #6
    otakutrevan is offline -Hacks Newbie
    Join Date
    Jan 2007
    Posts
    38
    Rep Power
    13

    Default

    Gotcha. I'm sure you have realized there was a little bit "Kingdom Hearts" reasoning behind this thread. If more games are like that in the near future we will need a new "D-4" Or 6.xx CFW dont you think?

  7. #7
    fearless1964's Avatar
    fearless1964 is offline -Hacks Enthusiast
    Join Date
    Jul 2009
    Location
    SCREWSTON,Tx
    Posts
    397
    Rep Power
    11

    Default

    Quote Originally Posted by otakutrevan View Post
    Gotcha. I'm sure you have realized there was a little bit "Kingdom Hearts" reasoning behind this thread. If more games are like that in the near future we will need a new "D-4" Or 6.xx CFW dont you think?
    Maybe a 5.50 GEN-D4....6.xx GEN might not happen in the near future unless Sony changes their firmware checks of UMD's
    PSP(1001):PANDORA->5.00 M33-6 w/ 1.50 Add-On
    PSP(2001)TA-085v2:PANDORA->5.50 GEN-D3

  8. #8
    Ryu's Avatar
    Ryu
    Ryu is offline Super Mod of the Brood -Hacks Titan
    Join Date
    Mar 2006
    Location
    Dologany
    Posts
    19,190
    Rep Power
    42

    Default

    when KH(or another BIG name game) is out WORLDWIDE
    an update may happen


    they NOT updating for one game in ONE region

    PSP 1.5 got on USA first day is was 1.5 NOW 4.01 M33-2 -> 5.00 M33-6(1.50 addon),
    Old PS3s: PS3 60GB FW:3.41(2nd ps3 YLoD, 1st, YLoD)
    New PS3:
    Slim 160gb 01-21-2011 Working
    was 3.40 OFW->3.60 OFW

    2nd PSP : PHAT 5.50 GEN-D2
    3rd PSP : Sliver 3000 Starting OFW:4.20 (NEW bought NEW on 11/28/2010)
    It a good idea to have "Hide extensions for known file types" in Folder Options(under Tool) unchecked (turn on extensions)

    3DS FC:0301-9790-8019

  9. #9
    psychobadger's Avatar
    psychobadger is offline -Hacks Enthusiast
    Join Date
    Nov 2009
    Posts
    491
    Rep Power
    10

    Default

    Kingdom hearts also needs the umd or it won't run an iso will only make it run faster there is anti piracy protection on it someone will have to trick the game into thinking the umd is in the drive before an iso will play... buying the game would work too i suppose

  10. #10
    ZiNgABuRgA's Avatar
    ZiNgABuRgA is offline Senior Member -Hacks Titan
    Join Date
    Sep 2006
    Location
    4CHIN
    Posts
    11,044
    Rep Power
    25

    Default

    ...or no-one can be stuffed really. It's not like anyone actually has any obligation to develop custom firmware.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •